package org.uytube.ui;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import javax.swing.*;
import org.uytube.DatosDePrueba;

/** @author toto */
public class LoadingForm extends javax.swing.JFrame {

  /** Creates new form LoadingForm */
  public LoadingForm() {
    initComponents();

    SwingWorker worker =
        new SwingWorker<String, Object>() {
          @Override
          public String doInBackground() {
            jProgressBar1.setVisible(true);
            jProgressBar1.setIndeterminate(true);
            new DatosDePrueba();
            return "";
          }

          @Override
          protected void done() {
            try {
              new MainFrame().setVisible(true);
              dispose();
            } catch (Exception ignore) {
            }
          }
        };
    worker.execute();

    new SwingWorker<String, Object>() {
      @Override
      protected String doInBackground() throws Exception {
        String[] palabras =
            new String[] {
              "Cargando sonidos \"Bruuum\".",
              "Equilibrando coeficientes domésticos.",
              "Insertando algoritmos de extensión.",
              "Reubicando atributos influenciables.",
              "Trazando retícula de Splines.",
              "Simulando ejecuci?n de programa.",
              "Importando anclajes de desprogramación síctica.",
              "Generando infraestructura imaginaria.",
              "Reconfiguración de los algoritmos genéticos.",
              "Reciclando hexadecimales.",
              "Incremento de las conductas laborales.",
              "Sintetización de la selección natural.",
              "Eliminando trucos potenciales.",
              "Identificando cálculos desviados.",
              "Concatenando nódulos verticulares.",
              "Asignando contraprogramaciln mimotécnica.",
              "Reticulado osamenta.",
              "Resolviendo teorema de Gibbs.",
              "Fregando animaciones.",
              "Polinizando datos véricos.",
              "Aleatorizando arquetipos de datos.",
              "Controlando singularidades.",
              "Analizando mapa de influencia imperial.",
              "Excretando sistema gastrodermico.",
            };
        int pos = 0;
        List<String> list = Arrays.asList(palabras);
        Collections.shuffle(list);
        while (!worker.isDone()) {
          if (pos == 22) {
            Collections.shuffle(list);
            pos = 0;
          }
          Thread.sleep(1500); // simulate long running process
          jLabel1.setText(list.get(pos));
          pos++;
        }
        return "Finished";
      }
    }.execute();
  }

  /**
   * This method is called from within the constructor to initialize the form. WARNING: Do NOT
   * modify this code. The content of this method is always regenerated by the Form Editor.
   */
  @SuppressWarnings("unchecked")
  // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
  private void initComponents() {

    jPanel1 = new javax.swing.JPanel();
    jProgressBar1 = new javax.swing.JProgressBar();
    jLabel1 = new javax.swing.JLabel();
    jLabel2 = new javax.swing.JLabel();

    setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
    setTitle("UyTube");
    setUndecorated(true);
    setResizable(false);

    jPanel1.setBackground(new java.awt.Color(246, 245, 245));
    jPanel1.setLayout(null);

    jProgressBar1.setBackground(new java.awt.Color(53, 47, 91));
    jProgressBar1.setForeground(new java.awt.Color(53, 47, 91));
    jProgressBar1.setValue(45);
    jPanel1.add(jProgressBar1);
    jProgressBar1.setBounds(20, 350, 470, 12);

    jLabel1.setBackground(new java.awt.Color(0, 0, 0));
    jLabel1.setFont(new java.awt.Font("Monospaced", 0, 18)); // NOI18N
    jLabel1.setForeground(new java.awt.Color(42, 41, 36));
    jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
    jLabel1.setText("Oh por dios!");
    jPanel1.add(jLabel1);
    jLabel1.setBounds(0, 320, 510, 22);

    jLabel2.setIcon(
        new javax.swing.ImageIcon(getClass().getResource("/images/Loading.png"))); // NOI18N
    jLabel2.setText("jLabel2");
    jPanel1.add(jLabel2);
    jLabel2.setBounds(0, 0, 510, 384);

    javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
    getContentPane().setLayout(layout);
    layout.setHorizontalGroup(
        layout
            .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, 509, Short.MAX_VALUE));
    layout.setVerticalGroup(
        layout
            .createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, 384, Short.MAX_VALUE));

    pack();
    setLocationRelativeTo(null);
  } // </editor-fold>//GEN-END:initComponents

  // Variables declaration - do not modify//GEN-BEGIN:variables
  private javax.swing.JLabel jLabel1;
  private javax.swing.JLabel jLabel2;
  private javax.swing.JPanel jPanel1;
  private javax.swing.JProgressBar jProgressBar1;
  // End of variables declaration//GEN-END:variables
}
